<template>
  <el-card shadow="never" class="aui-card--fill">
    <div class="mod-sys__params">
      <el-table v-loading="dataListLoading" :data="dataList" border @selection-change="dataListSelectionChangeHandle" style="width: 100%;">
        <el-table-column prop="remark" label="来源" header-align="center" align="center"></el-table-column>
        <el-table-column prop="paramValue" label="煤种" header-align="center" align="center">
          <template slot-scope="scope">{{getDictItemValue(scope.row.paramValue)}}</template>
        </el-table-column>
        <el-table-column :label="$t('handle')" fixed="right" header-align="center" align="center" width="150">
          <template slot-scope="scope">
            <el-button type="text" size="small" @click="openForm(scope.row.id)">修改</el-button>
          </template>
        </el-table-column>
      </el-table>
      <el-pagination
        :current-page="page"
        :page-sizes="[10, 20, 50, 100]"
        :page-size="limit"
        :total="total"
        layout="total, sizes, prev, pager, next, jumper"
        @size-change="pageSizeChangeHandle"
        @current-change="pageCurrentChangeHandle">
      </el-pagination>
      <!-- 弹窗, 新增 / 修改 -->
      <add-or-update v-if="addOrUpdateVisible" ref="addOrUpdate" @refreshDataList="getDataList"></add-or-update>
    </div>
  </el-card>
</template>

<script>
import mixinViewModule from '@/mixins/view-module'
import AddOrUpdate from './add-or-update'
import {getDictItem} from "@/utils/dictUtils";
export default {
  mixins: [mixinViewModule],
  data () {
    return {
      mixinViewModuleOptions: {
        getDataListURL: '/iailab-iems-system/sys/params/page',
        getDataListIsPage: true,
        deleteURL: '/iailab-iems-system/sys/params',
        deleteIsBatch: true
      },
      dataForm: {
        paramCodeList: 'LM_ZSCJ,LM_YMP'
      }
    }
  },
  components: {
    AddOrUpdate
  },
  methods: {
    getDictItemValue(value) {
      let data = getDictItem('ymmz', value)
      return data ? data.itemText : '';
    },
  }
}
</script>
